Package com.io7m.idstore.server.service.configuration.jaxb

# Class ButtonStateColors

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.ButtonStateColors

public class ButtonStateColors extends Object
The colors used for a particular button state.

Java class for ButtonStateColors complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ButtonStateColors">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:com.io7m.idstore:configuration:1}BodyColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}BorderColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}EmbossEColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}EmbossNColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}EmbossSColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}EmbossWColor"/>
             <element ref="{urn:com.io7m.idstore:configuration:1}TextColor"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ColorType`
  `bodyColor`
  `protected ColorType`
  `borderColor`
  `protected ColorType`
  `embossEColor`
  `protected ColorType`
  `embossNColor`
  `protected ColorType`
  `embossSColor`
  `protected ColorType`
  `embossWColor`
  `protected ColorType`
  `textColor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonStateColors()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorType`
  `getBodyColor()`
  Gets the value of the bodyColor property.
  `ColorType`
  `getBorderColor()`
  Gets the value of the borderColor property.
  `ColorType`
  `getEmbossEColor()`
  Gets the value of the embossEColor property.
  `ColorType`
  `getEmbossNColor()`
  Gets the value of the embossNColor property.
  `ColorType`
  `getEmbossSColor()`
  Gets the value of the embossSColor property.
  `ColorType`
  `getEmbossWColor()`
  Gets the value of the embossWColor property.
  `ColorType`
  `getTextColor()`
  Gets the value of the textColor property.
  `void`
  `setBodyColor(ColorType value)`
  Sets the value of the bodyColor property.
  `void`
  `setBorderColor(ColorType value)`
  Sets the value of the borderColor property.
  `void`
  `setEmbossEColor(ColorType value)`
  Sets the value of the embossEColor property.
  `void`
  `setEmbossNColor(ColorType value)`
  Sets the value of the embossNColor property.
  `void`
  `setEmbossSColor(ColorType value)`
  Sets the value of the embossSColor property.
  `void`
  `setEmbossWColor(ColorType value)`
  Sets the value of the embossWColor property.
  `void`
  `setTextColor(ColorType value)`
  Sets the value of the textColor property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bodyColor

    protected ColorType bodyColor

  - ### borderColor

    protected ColorType borderColor

  - ### embossEColor

    protected ColorType embossEColor

  - ### embossNColor

    protected ColorType embossNColor

  - ### embossSColor

    protected ColorType embossSColor

  - ### embossWColor

    protected ColorType embossWColor

  - ### textColor

    protected ColorType textColor

- ## Constructor Details

  - ### ButtonStateColors

    public ButtonStateColors()

- ## Method Details

  - ### getBodyColor

    public ColorType getBodyColor()
    Gets the value of the bodyColor property.
    Returns:
      possible object is `ColorType`

  - ### setBodyColor

    public void setBodyColor(ColorType value)
    Sets the value of the bodyColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getBorderColor

    public ColorType getBorderColor()
    Gets the value of the borderColor property.
    Returns:
      possible object is `ColorType`

  - ### setBorderColor

    public void setBorderColor(ColorType value)
    Sets the value of the borderColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getEmbossEColor

    public ColorType getEmbossEColor()
    Gets the value of the embossEColor property.
    Returns:
      possible object is `ColorType`

  - ### setEmbossEColor

    public void setEmbossEColor(ColorType value)
    Sets the value of the embossEColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getEmbossNColor

    public ColorType getEmbossNColor()
    Gets the value of the embossNColor property.
    Returns:
      possible object is `ColorType`

  - ### setEmbossNColor

    public void setEmbossNColor(ColorType value)
    Sets the value of the embossNColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getEmbossSColor

    public ColorType getEmbossSColor()
    Gets the value of the embossSColor property.
    Returns:
      possible object is `ColorType`

  - ### setEmbossSColor

    public void setEmbossSColor(ColorType value)
    Sets the value of the embossSColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getEmbossWColor

    public ColorType getEmbossWColor()
    Gets the value of the embossWColor property.
    Returns:
      possible object is `ColorType`

  - ### setEmbossWColor

    public void setEmbossWColor(ColorType value)
    Sets the value of the embossWColor property.
    Parameters:
      `value` - allowed object is `ColorType`

  - ### getTextColor

    public ColorType getTextColor()
    Gets the value of the textColor property.
    Returns:
      possible object is `ColorType`

  - ### setTextColor

    public void setTextColor(ColorType value)
    Sets the value of the textColor property.
    Parameters:
      `value` - allowed object is `ColorType`